package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-08-29
 */
@ApiModel("会员列表")
public class MemberPriceVo {


    @ApiModelProperty("分享人姓名")
    private String username;

    @ApiModelProperty("分享人头像")
    private String avatar;

    @ApiModelProperty("专属优惠 0：否 1：是")
    private YesOrNoEnum discount = YesOrNoEnum.NO;

    @ApiModelProperty("会员列表")
    List<MemberPriceSettingsVo> list;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public YesOrNoEnum getDiscount() {
        return discount;
    }

    public void setDiscount(YesOrNoEnum discount) {
        this.discount = discount;
    }

    public List<MemberPriceSettingsVo> getList() {
        return list;
    }

    public void setList(List<MemberPriceSettingsVo> list) {
        this.list = list;
    }
}
